package com.objis.demohibernate.test;

import junit.framework.TestCase;
import junit.framework.TestSuite;

import com.objis.demohibernate.service.GestionnaireFormation;
import com.objis.demohibernate.simple.Formation;

public class GestionnaireFormationTest extends TestCase {

	// Tester la cration d'une Formation. Teste cl primaire retourne
	public void testCreerFormation() {
		Formation formation = new Formation("EJB3");
		GestionnaireFormation gestionnaire = new GestionnaireFormation();		
		Long id = gestionnaire.creerFormation(formation);
		assertNotNull(id);
	}
	
	// Tester la recherche d'une Formation. Teste que l'objet retourn n'est pas null
	public void testChercherFormationparTheme() {
		GestionnaireFormation gestionnaire = new GestionnaireFormation();		
		Formation formation = gestionnaire.chercherFormationparTheme("EJB3");
		assertNotNull(formation);
	}
	
	
	// pour ordonner les 2 tests
	public GestionnaireFormationTest(String testName) {
		super(testName);
	}
	public static junit.framework.Test suite() {
        TestSuite suite = new TestSuite("Test GestionnaireFormation");
        suite.addTest(new GestionnaireFormationTest("testCreerFormation"));
        suite.addTest(new GestionnaireFormationTest("testChercherFormationparTheme"));
        return suite;
	}
}
